/************* Textuse.c **********************/
void Window( int x, int y, int w, int h, int col, unsigned char* title, int ScrollBar, int Bottom);
void PutChar( int x, int y, char c, int col);
int ProcessLines();
//char DisplayLoop();
void CheckCursorVisible();
void InitDisplay();
void Display( int RedrawMenu );
void RestoreDisplay();

/************* FileIO.c ***************/
void LoadSectors(int StartSect, int SToGo);
void LoadFile();
void GetBufferInfo();
int GetFileInfo();

/************* Memman.c *******************/
void GetMemory();
void AllocAdditionalBuffer(int size);
void MoveMemory( int pos, int count, int direction);
void MemCopy(int source, int dest, int count);

void LineOut(const char* c, int y, int col, int x, int max);

/************** menu.c **************************/
void DisplayMainMenu(int marked, int markedsub);
//void MakeMenu();
void Error(char* errstr);

/*************** mouse.c *************************/
void Display_Mouse(int paint);
int UpdateMousePos();
void Mouse_Init();